Package org.apache.catalina.valves.rewrite

## Class InternalRewriteMap.Escape

- java.lang.Object
- - org.apache.catalina.valves.rewrite.InternalRewriteMap.Escape

- All Implemented Interfaces:
    `RewriteMap`
  Enclosing class:
    InternalRewriteMap

      public static class InternalRewriteMap.Escape
      extends java.lang.Object
      implements RewriteMap

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Escape()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `lookup​(java.lang.String key)` |
    `java.lang.String` | `setParameters​(java.lang.String params)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Escape

          public Escape()

  - ### Method Detail

    - #### setParameters

          public java.lang.String setParameters​(java.lang.String params)

      Specified by:
        `setParameters` in interface `RewriteMap`

    - #### lookup

          public java.lang.String lookup​(java.lang.String key)

      Specified by:
        `lookup` in interface `RewriteMap`